Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8210 - Jan 18, 2038 problem
Summary: Jan 18, 2038 problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-05 18:57 UTC by Doug Springer
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-05 19:04:06 UTC


Attachments (Terms of Use)

Description Doug Springer 2000-01-05 18:57:30 UTC
I realize I will probally be flamed, but who is working to fix the current
time format for the compiler?  January 18,2038 as I figure it will appear
to be Jan 1, 1970.  Any planned fixes?  Who will do it?  Who can I talk to
about this issue?  It would be nice to know Linux already has the solution
to this wide-spread issue.

Ok, now flame me....

Comment 1 Jim Kingdon 2000-01-05 19:04:59 UTC
This is more of a kernel and glibc issue than a compiler issue.  If you
do some searches on the net you should be able to find something about
64 bit time_t's (maybe on one of the Debian lists?  I don't remember
where I saw it).

You can start working on this (e.g. try changing time_t and see what breaks);
if you want to get in touch with other people who might want to work on
the same issue I suppose the glibc and kernel email lists are the most obvious
place.


Note You need to log in before you can comment on or make changes to this bug.